    class Message(Object):

        ## Init ##
        def __init__(self):

        ## Content ##
        def contentLength(self):
        def contentType(self):

        ## Protocol ##
        def protocol(self):

        ## Arguments ##
        def arg(self, name, default=NoDefault):
        def setArg(self, name, value):
        def hasArg(self, name):
        def deleteArg(self, name):
        def clearArgs(self):
        def argNames(self):

        ## Exception reports ##
        def writeExceptionReport(self, handler):